Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.realm
Class RealmPermission

    java.lang.Object
      |
      +--java.security.Permission
            |
            +--oracle.security.jazn.realm.RealmPermission

All Implemented Interfaces:
  Guard, Serializable

public class RealmPermission
extends Permission

A RealmPermission class is defined to represent permissions for a realm. It extends from java.security.Permission, thus can be used just like any regular Java permission.

A RealmPermission consists of the name of the realm (also known as permission target name) and a set of "actions" specifying privileges applicable to that realm. The target name of a RealmPermission instance is the name of the realm in question.

The individual action name is specific to the realm in question and are system-defined.

The following table lists all the system-defined RealmPermission action names:

Permission Action | the Permission Action Allows
createRealm | Create realms
dropRealm | Drop realms
createUser | Create users in the target realm.
dropUser | Drop users in the target realm.
createRole | Create roles in the target realm.
dropRole | Drop roles in the target realm.
modifyRole | Modify roles in the target realm.
grantRole | Grant roles in the target realm.
revokeRole | Revoke roles from the target realm

See Also:
  Serialized Form

Constructor Summary
`RealmPermission(String realm, String actions)` Creates a RealmPermission instance with the specified actions.

Method Summary
`boolean` | `equals(Object obj)` Checks two Permission objects for equality.
`String` | `getActions()` Returns the actions of this permissioon as a string.
`int` | `hashCode()` Returns the hash code value for this object.
`boolean` | `implies(Permission permission)` Checks if the specified permission's actions are "implied by" this object's actions.
`String` | `toString()` Returns String representation of this instance.

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RealmPermission

    public RealmPermission(String realm,
    String actions)

  Creates a RealmPermission instance with the specified actions. The actions parameter contains a comma-separated list of the actions applicable to the specified realm.
Parameters:
  `realm` - - the name of the realm
  `actions` - - the action string

Method Detail

### getActions

    public String getActions()

  Returns the actions of this permissioon as a string.
  Specified by:
    `getActions` in class `Permission`
  Returns:
    a comma-seperated list of actions

### equals

    public boolean equals(Object obj)

  Checks two Permission objects for equality.
  Specified by:
    `equals` in class `Permission`
  Parameters:
    `obj` - - the object we are testing for equality with this object.
  Returns:
    true if both Permission objects are equivalent.

### hashCode

    public int hashCode()

  Returns the hash code value for this object.
  Specified by:
    `hashCode` in class `Permission`
  Returns:
    the hash code value for this object.

### toString

    public String toString()

  Returns String representation of this instance.
  Overrides:
    `toString` in class `Permission`
  Returns:
    String representation of this instance.

### implies

    public boolean implies(Permission permission)

  Checks if the specified permission's actions are "implied by" this object's actions.

  The implies method is used by the AccessController to determine whether or not a requested permission is implied by another permission that is known to be valid in the current execution context.

  Specified by:
    `implies` in class `Permission`
  Parameters:
    `permission` - - the permission to check against.
  Returns:
    true if the specified permission is implied by this object, false if not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.